<?php
session_start();
   include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session
function redondear_dos_decimal($valor) {
   $float_redondeado=round($valor * 100) / 100;
   return $float_redondeado;
} 
	echo"<center>";
	$idreg = $_POST['id_regalia'];
	$total = $_POST['cantidad'];
	$fecha = $_POST['fech1'];
	$idci = $_POST['elci'];
	$fija=0;
	$rfc=0;
	$liminf=0;
	$excedente=0;
	$mesletra="Error";
	
		$qPP = "SELECT idreg, rfc, nombre, appat, apmat, primera, segunda, tercera, cuarta, `calificados`,`total`,`apagar`,`fechap` FROM `regs2` join inversionista on inversionista.id_inver=regs2.id_inver WHERE idreg='".$idreg."'";


$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
	

	while (($objetoPP=mysqli_fetch_object($rPP)) )
{$califs=$objetoPP->calificados;$total=$objetoPP->apagar;
	echo"<center><br><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Regalias a Retener</label><br><br>";
	echo"Distribuidor: $objetoPP->nombre $objetoPP->appat $objetoPP->apmat<br>R.F.C. $objetoPP->rfc<br>	<form name=\"Agrega\" action=\"retener_regs2.php\" method=\"post\"><br><br>
	<b>Total de Regalias a Retener : $objetoPP->apagar</b>
	";
	
}
	

	echo"<br><br>
	Motivo: <input type=\"text\" name=\"motivo\" size=\"35\" value=\"$pagar\" ><br><br>
	 <input type=hidden name=lareg value=$idreg />
	 <input type=hidden name=elrfc value=$rfc />
	 <input type=\"submit\" value=\"Continuar\" name=\"pago\"></form>";
	 
					  

?>
